> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oddspapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 同场串关（SGP）赔率

> 根据选定的 `oddsIds` 计算带相关性的同场串关（SGP）赔率。

所有 `oddsIds` 必须属于**同一个**赛事。各关由博彩公司自己定价，因此 `price` 体现了各关之间的相关性；`singlesPrice` 是简单相乘的结果，两者之差即为相关性加成。可以一次请求多家博彩公司并列返回。

返回**一个**赛事视图，并新增 `sgp` 部分。

每次请求最多 20 关。



## OpenAPI

````yaml /zh/api-reference/openapi.json get /fixtures/odds/sgp
openapi: 3.1.0
info:
  title: 赔率 API v5
  version: 5.0.0
  description: 高性能赔率API，由Valkey + Supabase RPC发现支持。
servers:
  - url: https://v5.oddspapi.io/zh
security:
  - ApiKeyAuth: []
  - ApiKeyHeaderAuth: []
tags:
  - name: common
  - name: fixtures
  - name: fixtures/odds
  - name: parlays
  - name: futures
  - name: futures/odds
  - name: mapping
  - name: media
  - name: settlement
paths:
  /fixtures/odds/sgp:
    get:
      tags:
        - parlays
      summary: 同场串关（SGP）赔率
      description: >-
        根据选定的 `oddsIds` 计算带相关性的同场串关（SGP）赔率。


        所有 `oddsIds` 必须属于**同一个**赛事。各关由博彩公司自己定价，因此 `price`
        体现了各关之间的相关性；`singlesPrice` 是简单相乘的结果，两者之差即为相关性加成。可以一次请求多家博彩公司并列返回。


        返回**一个**赛事视图，并新增 `sgp` 部分。


        每次请求最多 20 关。
      operationId: fixtures_odds_sgp__lang__fixtures_odds_sgp_get
      parameters:
        - name: oddsIds
          in: query
          required: true
          schema:
            type: string
          description: >-
            以逗号或空格分隔的 oddsIds，格式为
            `{fixtureId}:{bookmaker}:{outcomeId}:{playerId}`。重复项会被去除，列表会被排序。每家博彩公司的各关构成一个串关。最多
            20 关。 所有 oddsIds 必须属于同一个赛事。
      responses:
        '200':
          description: 为各关所属的赛事返回一个 FixtureSgpResponse。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixtureSgpResponse'
              examples:
                priced:
                  summary: 两个相关的关，由博彩公司报价
                  description: >-
                    `singlesPrice` 7.98 是简单相乘的赔率；博彩公司考虑相关性后的 `price` 为
                    6.5。`limit` 是最大投注额，`betslip` 可直接打开已填好的投注单。
                  value:
                    fixtureId: id1400003160574217
                    status:
                      live: false
                      statusId: 0
                      statusName: Pre-Game
                    sport:
                      sportId: 14
                      sportName: American Football
                    tournament:
                      tournamentId: 31
                      tournamentName: NFL
                      categoryName: USA
                    season:
                      seasonId: 31625
                      seasonName: NFL 25/26
                      seasonRound: 16
                    venue:
                      venueId: 5821
                      venueSlug: ford-field
                      venueName: Ford Field
                      venueLocation: Detroit, MI, USA
                    startTime: 1766698200
                    participants:
                      participant1Id: 4423
                      participant1RotNr: 271
                      participant1Name: Minnesota Vikings
                      participant1ShortName: Minnesota
                      participant1Abbr: MIN
                      participant2Id: 4419
                      participant2RotNr: 272
                      participant2Name: Detroit Lions
                      participant2ShortName: Detroit
                      participant2Abbr: DET
                    scores: {}
                    clock:
                      currentPeriod: null
                      currentTime: null
                      remainingTime: null
                      remainingTimeInPeriod: null
                      stopped: null
                    expectedPeriods: 4
                    periodLength: 15
                    externalProviders:
                      betgeniusId: 13755104
                      betradarId: 60574217
                      pinnacleId: 1620331774
                    odds:
                      bet365:
                        id1400003160574217:bet365:141:0:
                          bookmaker: bet365
                          outcomeId: 141
                          playerId: 0
                          active: true
                          price: 3.8
                          marketActive: true
                          mainLine: true
                          priceAmerican: 280
                          marketId: 141
                          changedAt: 1766667441097
                        id1400003160574217:bet365:146:0:
                          bookmaker: bet365
                          outcomeId: 146
                          playerId: 0
                          active: true
                          price: 2.1
                          marketActive: true
                          mainLine: true
                          priceAmerican: 110
                          marketId: 146
                          changedAt: 1766667441097
                    bookmakers:
                      bet365:
                        bookmaker: bet365
                        bookmakerFixtureId: '186526495'
                        fixturePath: null
                        hasOdds: true
                        staleOdds: false
                        suspended: false
                        participantsRotated: false
                        updatedAt: '2025-12-16T23:21:33.763847+00:00'
                    sgp:
                      bet365:
                        id1400003160574217:bet365:141:0,id1400003160574217:bet365:146:0:
                          bookmaker: bet365
                          active: true
                          price: 6.5
                          priceFractional: 11/2
                          priceAmerican: 550
                          limit: 500
                          singlesPrice: 7.98
                          changedAt: 1766667441097
                          bookmakerParlayId: B365-2493810567
                          bookmakerChangedAt: 1766667440813
                          betslip: https://www.bet365.com/dl/sportsbookredirect?bs=...
                not_priceable:
                  summary: 各关已找到，但博彩公司不予定价
                  description: >-
                    各关是存在的，因此仍保留一个条目：inactive、`price: 1`，并由
                    `meta.inactiveReason`
                    说明原因（`not_combinable`、`sgp_unsupported`、`sgp_fetch_failed`、`fixture_ended`、`leg_suspended`、`market_closed`、`bookmaker_suspended`）。其中
                    `not_combinable`（该博彩公司不接受这几个特定关的组合）在实际中最为常见。
                  value:
                    fixtureId: id1400003160574217
                    status:
                      live: false
                      statusId: 0
                      statusName: Pre-Game
                    sport:
                      sportId: 14
                      sportName: American Football
                    tournament:
                      tournamentId: 31
                      tournamentName: NFL
                      categoryName: USA
                    season:
                      seasonId: 31625
                      seasonName: NFL 25/26
                      seasonRound: 16
                    venue:
                      venueId: 5821
                      venueSlug: ford-field
                      venueName: Ford Field
                      venueLocation: Detroit, MI, USA
                    startTime: 1766698200
                    participants:
                      participant1Id: 4423
                      participant1RotNr: 271
                      participant1Name: Minnesota Vikings
                      participant1ShortName: Minnesota
                      participant1Abbr: MIN
                      participant2Id: 4419
                      participant2RotNr: 272
                      participant2Name: Detroit Lions
                      participant2ShortName: Detroit
                      participant2Abbr: DET
                    scores: {}
                    clock:
                      currentPeriod: null
                      currentTime: null
                      remainingTime: null
                      remainingTimeInPeriod: null
                      stopped: null
                    expectedPeriods: 4
                    periodLength: 15
                    externalProviders:
                      betgeniusId: 13755104
                      betradarId: 60574217
                      pinnacleId: 1620331774
                    odds:
                      bet365:
                        id1400003160574217:bet365:141:0:
                          bookmaker: bet365
                          outcomeId: 141
                          playerId: 0
                          active: true
                          price: 3.8
                          marketActive: true
                          mainLine: true
                          priceAmerican: 280
                          marketId: 141
                          changedAt: 1766667441097
                        id1400003160574217:bet365:146:0:
                          bookmaker: bet365
                          outcomeId: 146
                          playerId: 0
                          active: true
                          price: 2.1
                          marketActive: true
                          mainLine: true
                          priceAmerican: 110
                          marketId: 146
                          changedAt: 1766667441097
                    bookmakers:
                      bet365:
                        bookmaker: bet365
                        bookmakerFixtureId: '186526495'
                        fixturePath: null
                        hasOdds: true
                        staleOdds: false
                        suspended: false
                        participantsRotated: false
                        updatedAt: '2025-12-16T23:21:33.763847+00:00'
                    sgp:
                      bet365:
                        id1400003160574217:bet365:141:0,id1400003160574217:bet365:146:0:
                          bookmaker: bet365
                          active: false
                          price: 1
                          singlesPrice: 7.98
                          changedAt: 1766667441097
                          meta:
                            inactiveReason: sgp_unsupported
                leg_missing:
                  summary: 某一关无法找到
                  description: 该博彩公司**不会**得到条目——`sgp` 返回 `{}`，`missingOddsIds` 会列出未找到的各关。
                  value:
                    fixtureId: id1400003160574217
                    status:
                      live: false
                      statusId: 0
                      statusName: Pre-Game
                    sport:
                      sportId: 14
                      sportName: American Football
                    tournament:
                      tournamentId: 31
                      tournamentName: NFL
                      categoryName: USA
                    season:
                      seasonId: 31625
                      seasonName: NFL 25/26
                      seasonRound: 16
                    venue:
                      venueId: 5821
                      venueSlug: ford-field
                      venueName: Ford Field
                      venueLocation: Detroit, MI, USA
                    startTime: 1766698200
                    participants:
                      participant1Id: 4423
                      participant1RotNr: 271
                      participant1Name: Minnesota Vikings
                      participant1ShortName: Minnesota
                      participant1Abbr: MIN
                      participant2Id: 4419
                      participant2RotNr: 272
                      participant2Name: Detroit Lions
                      participant2ShortName: Detroit
                      participant2Abbr: DET
                    scores: {}
                    clock:
                      currentPeriod: null
                      currentTime: null
                      remainingTime: null
                      remainingTimeInPeriod: null
                      stopped: null
                    expectedPeriods: 4
                    periodLength: 15
                    externalProviders:
                      betgeniusId: 13755104
                      betradarId: 60574217
                      pinnacleId: 1620331774
                    odds:
                      bet365:
                        id1400003160574217:bet365:141:0:
                          bookmaker: bet365
                          outcomeId: 141
                          playerId: 0
                          active: true
                          price: 3.8
                          marketActive: true
                          mainLine: true
                          priceAmerican: 280
                          marketId: 141
                          changedAt: 1766667441097
                    bookmakers:
                      bet365:
                        bookmaker: bet365
                        bookmakerFixtureId: '186526495'
                        fixturePath: null
                        hasOdds: true
                        staleOdds: false
                        suspended: false
                        participantsRotated: false
                        updatedAt: '2025-12-16T23:21:33.763847+00:00'
                    missingOddsIds:
                      - id1400003160574217:bet365:146:0
                    sgp: {}
        '400':
          $ref: '#/components/responses/ApiError'
        '401':
          $ref: '#/components/responses/ApiError'
        '403':
          $ref: '#/components/responses/ApiError'
        '404':
          $ref: '#/components/responses/ApiError'
        '422':
          $ref: '#/components/responses/ValidationError'
        '429':
          $ref: '#/components/responses/ApiError'
        '501':
          $ref: '#/components/responses/ApiError'
        '502':
          $ref: '#/components/responses/ApiError'
components:
  schemas:
    FixtureSgpResponse:
      allOf:
        - $ref: '#/components/schemas/Fixture'
        - type: object
          properties:
            odds:
              allOf:
                - $ref: '#/components/schemas/OddsByBookmaker'
              description: 仅包含所请求的各关——包括 inactive 的关（不做 `activeOnly` 过滤）。
            bookmakers:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/BookmakerFixtureMeta'
              description: bookmakerSlug -> BookmakerFixtureMeta，仅包含所请求的博彩公司。
            missingOddsIds:
              type: array
              items:
                type: string
              description: 该赛事中未能找到的已请求 oddsIds（未知的博彩公司、未知或已过期的 oddsId）。仅在至少有一关缺失时才会出现。
            sgp:
              $ref: '#/components/schemas/SgpByBookmaker'
          required:
            - odds
            - bookmakers
            - sgp
          additionalProperties: true
    Fixture:
      type: object
      properties:
        fixtureId:
          type: string
          description: 赛事标识符：`{prefix}{sportId}{tournamentId}{nativeId}` —— 参见核心概念 → ID 结构。
        status:
          $ref: '#/components/schemas/Status'
          description: 赛事的生命周期状态。
        sport:
          $ref: '#/components/schemas/SportRef'
          description: 运动引用。
        tournament:
          $ref: '#/components/schemas/TournamentRef'
          description: 锦标赛引用。
        season:
          $ref: '#/components/schemas/SeasonRef'
          description: 赛季引用（如已解析）。
        venue:
          $ref: '#/components/schemas/VenueRef'
          description: 场馆引用（如已知）。
        startTime:
          type: integer
          description: Epoch seconds (UTC).
        trueStartTime:
          type:
            - string
            - 'null'
          description: 实际开始时间（ISO 8601，一旦已知）—— 可能与计划的 `startTime` 不同。
        trueEndTime:
          type:
            - string
            - 'null'
          description: 实际结束时间（ISO 8601，一旦已知）。
        participants:
          $ref: '#/components/schemas/ParticipantsRef'
          description: 双方参赛者，含名称、轮转号和缩写。
        scores:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ScorePeriod'
          description: 按赛段键组织的比分行（`result`、`p1`……）。
        clock:
          anyOf:
            - $ref: '#/components/schemas/Clock'
            - type: 'null'
          description: 比赛进行中的实时计时。
        expectedPeriods:
          type:
            - integer
            - 'null'
          description: 该赛事预期的常规赛段数 —— 结合 `periodLength` 用于按运动/联赛解读赛段键。
        periodLength:
          type:
            - integer
            - 'null'
          description: 常规赛段的时长（分钟）。
        externalProviders:
          $ref: '#/components/schemas/ExternalProviders'
          description: 该赛事在外部数据源（betradar、pinnacle 等）的原生标识符。
        bookmakers:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BookmakerFixtureMeta'
          description: >-
            该赛事按博彩公司划分的可用性与新鲜度元数据。仅包含当前为该赛事提供有效实时赔率的博彩公司。在赛事和赔率端点中返回；在
            CLV、历史赔率和结算响应中省略。
      required:
        - fixtureId
        - status
        - sport
        - tournament
        - season
        - venue
        - startTime
        - participants
        - scores
        - clock
        - externalProviders
      additionalProperties: true
    OddsByBookmaker:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/OddsMap'
    BookmakerFixtureMeta:
      type: object
      properties:
        bookmaker:
          type: string
          description: 博彩公司标识。
        bookmakerFixtureId:
          type:
            - string
            - 'null'
          description: 该赛事在博彩公司的原生标识符。
        fixturePath:
          type:
            - string
            - 'null'
          description: 该赛事在博彩公司网站上的页面路径（如已知）。
        hasOdds:
          type: boolean
          description: 博彩公司当前是否为该赛事发布赔率。
        staleOdds:
          type: boolean
          description: 交易关键字段：与该博彩公司的连接丢失或中断时为 true，此时无法再保证赔率的新鲜度。
        staleOddsResponseCode:
          type:
            - integer
            - 'null'
          deprecated: true
          description: '**已弃用。** 陈旧检测期间观察到的 HTTP 状态码（如有）。请改用 `staleOdds`。'
        suspended:
          type: boolean
          description: 博彩公司暂停该赛事投注时为 true。
        participantsRotated:
          type: boolean
          description: 如果博彩公司列出的参赛者顺序与 OddsPapi 相反（参赛者 1/2 互换）则为 true。
        meta:
          type:
            - object
            - 'null'
          additionalProperties: true
          description: 博彩公司特定的元数据。
        updatedAt:
          type: string
          description: 该博彩公司元数据最近一次变化的时间。
      required:
        - bookmaker
        - hasOdds
        - staleOdds
        - suspended
        - participantsRotated
        - updatedAt
      additionalProperties: true
    SgpByBookmaker:
      type: object
      description: >-
        bookmakerSlug -> (parlayId -> SgpEntry)。`parlayId` 的构造方式与
        `/fixtures/odds/parlay` 完全相同，因此两者可直接比较。以下两种情况该博彩公司会被整体省略（对象可能为
        `{}`）：各关未能全部找到；或各关都已找到但该博彩公司自己的定价服务无法报价——后者不会出现 `missingOddsIds`。
      additionalProperties:
        type: object
        additionalProperties:
          $ref: '#/components/schemas/SgpEntry'
    Error:
      type: object
      description: Concrete error format returned by this API (no FastAPI detail wrapper).
      properties:
        error:
          type: integer
          description: HTTP status code
        message:
          type: string
          description: Human-readable error message
        details:
          description: Optional extra details (string/object/array depending on the error).
        reason:
          type: string
          deprecated: true
          description: '**已弃用**，`code` 的别名，请改读 `code`。'
        code:
          type: string
          description: 机器可读的原因代码。
      required:
        - error
        - message
      additionalProperties: true
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          description: 校验错误列表。
    Status:
      type: object
      properties:
        live:
          type: boolean
          description: 便捷标志 —— 仅在比赛进行中为 true（`statusId` 为 1）。
        statusId:
          type: integer
          description: 生命周期状态：`0` 赛前、`1` 进行中、`2` 已结束、`3` 已取消。只会向前推进 —— 请始终基于此 ID 做分支判断。
        statusName:
          type: string
          description: 状态的翻译显示标签。业务逻辑请基于 `statusId` 判断，切勿依赖此字符串。
      required:
        - live
        - statusId
        - statusName
      additionalProperties: true
    SportRef:
      type: object
      properties:
        sportId:
          type: integer
          description: 数字运动标识符。
        sportName:
          type: string
          description: 运动显示名称，跟随请求的语言前缀翻译。
      required:
        - sportId
        - sportName
      additionalProperties: true
    TournamentRef:
      type: object
      properties:
        tournamentId:
          type: integer
          description: 数字锦标赛标识符。
        tournamentName:
          type: string
          description: 锦标赛显示名称，跟随请求的语言前缀翻译。
        categoryName:
          type:
            - string
            - 'null'
          description: 类别（通常是国家/地区）显示名称，已翻译。
      required:
        - tournamentId
        - tournamentName
      additionalProperties: true
    SeasonRef:
      type: object
      properties:
        seasonId:
          type:
            - integer
            - 'null'
          description: 数字赛季标识符（如已知）。
        seasonName:
          type:
            - string
            - 'null'
          description: 赛季显示名称，已翻译。
        seasonRound:
          type:
            - integer
            - 'null'
          description: 赛季内的轮次编号（如适用）。
      additionalProperties: true
    VenueRef:
      type: object
      properties:
        venueId:
          type:
            - integer
            - 'null'
          description: 数字场馆标识符（如已知）。
        venueName:
          type:
            - string
            - 'null'
          description: 场馆显示名称，已翻译。
        venueLocation:
          type:
            - string
            - 'null'
          description: 场馆所在地（城市），已翻译。
      additionalProperties: true
    ParticipantsRef:
      type: object
      properties:
        participant1Id:
          type: integer
          description: 参赛者 1（主队 / 先列一方）的标识符。
        participant1RotNr:
          type:
            - integer
            - 'null'
          description: 参赛者 1 的轮转号（美式盘口惯例，如有）。
        participant1Name:
          type:
            - string
            - 'null'
          description: 参赛者 1 的全名，已翻译。
        participant1ShortName:
          type:
            - string
            - 'null'
          description: 参赛者 1 的短名称。
        participant1Abbr:
          type:
            - string
            - 'null'
          description: 参赛者 1 的缩写。
        participant2Id:
          type: integer
          description: 参赛者 2（客队 / 后列一方）的标识符。
        participant2RotNr:
          type:
            - integer
            - 'null'
          description: 参赛者 2 的轮转号（美式盘口惯例，如有）。
        participant2Name:
          type:
            - string
            - 'null'
          description: 参赛者 2 的全名，已翻译。
        participant2ShortName:
          type:
            - string
            - 'null'
          description: 参赛者 2 的短名称。
        participant2Abbr:
          type:
            - string
            - 'null'
          description: 参赛者 2 的缩写。
      required:
        - participant1Id
        - participant2Id
      additionalProperties: true
    ScorePeriod:
      type: object
      properties:
        period:
          type: string
          description: 该比分行对应的赛段键（`result` = 总比分；参见枚举页）。
        participant1Score:
          type: integer
          description: 参赛者 1 在该赛段的得分。
        participant2Score:
          type: integer
          description: 参赛者 2 在该赛段的得分。
        updatedAt:
          type: string
          description: 该比分值最近一次变化的时间。
      required:
        - period
        - participant1Score
        - participant2Score
        - updatedAt
      additionalProperties: true
    Clock:
      type: object
      properties:
        currentPeriod:
          type:
            - string
            - 'null'
          description: 当前正在进行的赛段键（参见枚举页的赛段词汇表）。
        currentTime:
          type:
            - string
            - 'null'
          description: 比赛已进行时间，`mm:ss`。
        remainingTime:
          type:
            - string
            - 'null'
          description: 比赛剩余时间，`mm:ss`（倒计时类运动）。
        remainingTimeInPeriod:
          type:
            - string
            - 'null'
          description: 当前赛段剩余时间，`mm:ss`。
        stopped:
          type:
            - boolean
            - 'null'
          description: 比赛计时暂停时为 true。
      additionalProperties: true
    ExternalProviders:
      type: object
      additionalProperties: true
    OddsMap:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/OddQuote'
    SgpEntry:
      type: object
      description: 由博彩公司报价、考虑相关性的串关赔率。结构与 ParlayEntry 相同，另外包含博彩公司随报价返回的字段。
      properties:
        bookmaker:
          type: string
          description: 博彩公司标识（slug）。
        active:
          type: boolean
          description: 当某一关被暂停、其盘口已关闭，或该博彩公司在某个涉及的赛事上被暂停时，为 false。
        price:
          type: number
          description: 博彩公司考虑相关性后的赔率——通常低于 `singlesPrice`，差值即为相关性加成。
        priceFractional:
          type: string
          description: 由 `price` 换算而来；在 `price > 1` 时存在。
        priceAmerican:
          type: integer
          description: 由 `price` 换算而来；在 `price > 1` 时存在。
        singlesPrice:
          type: number
          description: >-
            各关的简单乘积。在 `/fixtures/odds/parlay` 上等于 `price`；在 `/fixtures/odds/sgp`
            上，两者之差即为相关性加成。
        changedAt:
          type: integer
          description: 该条目的定价时间，UTC 纪元毫秒。
        limit:
          type: number
          description: 博彩公司在该赔率下接受的最大投注额。
        bookmakerParlayId:
          type: string
          description: 博彩公司自己为该串关分配的标识。
        bookmakerChangedAt:
          type: integer
          description: 博彩公司自己的报价时间戳，UTC 纪元毫秒。
        betslip:
          type: string
          description: 可直接打开博彩公司投注单并加载全部各关的深度链接。
        meta:
          type: object
          description: 在有额外信息需要说明时存在。
          properties:
            inactiveReason:
              type: string
              enum:
                - leg_suspended
                - market_closed
                - bookmaker_suspended
                - sgp_unsupported
                - sgp_fetch_failed
                - fixture_ended
              description: >-
                `active` 为 false 的原因。在 `/fixtures/odds/parlay` 的取值上新增三个仅 SGP
                适用的原因。
            offers:
              type: array
              description: 交易所价格阶梯中低于最优档的其余档位；最优档已由 `price`/`limit` 表示。
              items:
                type: object
                properties:
                  price:
                    type: number
                  limit:
                    type: number
          additionalProperties: true
      required:
        - bookmaker
        - active
        - price
        - singlesPrice
        - changedAt
      additionalProperties: true
    ValidationError:
      title: ValidationError
      type: object
      required:
        - loc
        - msg
        - type
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
          description: 无效参数的位置（路径片段）。
        msg:
          title: Message
          type: string
          description: 人类可读的校验信息。
        type:
          title: Error Type
          type: string
          description: 机器可读的错误类型。
    OddQuote:
      type: object
      properties:
        bookmaker:
          type: string
          description: 博彩公司标识。
        outcomeId:
          type: integer
          description: 该投注选项的冻结结果标识符。
        playerId:
          type: integer
          description: 价格对应的球员；非球员盘口为 `0`。
        price:
          type: number
          description: 十进制（欧洲）赔率。
        active:
          type: boolean
          description: 该结果当前在博彩公司是否可投注。
        marketActive:
          type:
            - boolean
            - 'null'
          description: 整个盘口在博彩公司是否处于激活状态。
        mainLine:
          type:
            - boolean
            - 'null'
          description: 是否为博彩公司在该盘口类型下的主盘口线。
        marketId:
          type: integer
          description: 该结果所属的冻结盘口标识符。
        bookmakerMarketId:
          type:
            - string
            - 'null'
          description: 博彩公司的原生盘口标识符。
        bookmakerOutcomeId:
          type:
            - string
            - 'null'
          description: 博彩公司的原生结果标识符。
        bookmakerChangedAt:
          type:
            - integer
            - 'null'
          description: 博彩公司提供的变更时间戳（毫秒，如有）。
        priceFractional:
          type:
            - string
            - 'null'
          description: 分数赔率（如 `5/2`）。
        priceAmerican:
          type:
            - integer
            - 'null'
          description: 美式赔率（如 `-110`、`+250`）。
        meta:
          type:
            - object
            - 'null'
          description: 博彩公司特定的元数据（订单簿、赔率阶梯等）。
        limit:
          type:
            - number
            - 'null'
          description: 博彩公司提供的最大可接受投注额（如有）。
        betslip:
          type:
            - string
            - 'null'
          description: 博彩公司投注单 / 深链接令牌（如有）。
        changedAt:
          type: integer
          description: OddsPapi 在博彩商处观察到此变更的时间（毫秒，UTC）—— 始终存在。
      required:
        - bookmaker
        - outcomeId
        - playerId
        - price
        - active
        - changedAt
      additionalProperties: true
  responses:
    ApiError:
      description: API error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            invalid_filters:
              summary: Invalid filters
              value:
                error: 400
                message: Invalid filters.
                reason: invalid_filters
            invalid_api_key:
              summary: Invalid apiKey
              value:
                error: 401
                message: invalid apiKey
                reason: invalid_api_key
            rate_limited:
              summary: Rate limited
              value:
                error: 429
                message: rate limit exceeded
                reason: rate_limited
                retryAfterSec: 1
    ValidationError:
      description: Validation Error (framework-level)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HTTPValidationError'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey
      description: 作为 `apiKey` 查询参数传入的 API 密钥。
    ApiKeyHeaderAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: 作为 `X-API-Key` 请求头传入的 API 密钥。

````